<?php
/**
 * UserMediaDat Entity
 * $Id: UserMediaDat.inc,v 1.1 2020/2/27 14:40:01 Exp $
 * @author zb
 * @package jp.compass.entity
 * @access public
 */
class UserMediaDat extends CompassDynamicData
{
	var $user_id;
	var $course_id;
	var $media_id;
	var $is_free;
	var $money;
	var $order_no;
	var $mchid_order_no;
	var $status;
	var $delete_flg;

	/**
	 * 构造实现。user_media_dat创建实例。
	 * 
	 * @access public
	 * @param mixed user_media_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->user_id        = $record["user_id"];
		$this->course_id      = $record["course_id"];
		$this->media_id       = $record["media_id"];
		$this->is_free        = $record["is_free"];
		$this->money          = $record["money"];
		$this->order_no       = $record["order_no"];
		$this->mchid_order_no = $record["mchid_order_no"];
		$this->status         = $record["status"];
		$this->delete_flg     = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("UserMediaDat", "user_media_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("user_media_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("UserMediaDat", "user_media_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "user_id");
		ParamUtil::copyObj2Array($v_param, $this, "course_id");
		ParamUtil::copyObj2Array($v_param, $this, "media_id");
		ParamUtil::copyObj2Array($v_param, $this, "is_free");
		ParamUtil::copyObj2Array($v_param, $this, "money");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "order_no");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "mchid_order_no");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "status");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("user_media_dat", $v_param);
	}
}